import { AfterViewInit } from '@angular/core';
import { BbButton } from '@bravobit/bb-foundation/elements';
import { BbDialogConfig } from '../dialog.interfaces';
import { BbDialogRef } from '../dialog.ref';
export declare class BbDialogConfirm implements AfterViewInit {
    config: BbDialogConfig;
    dialogRef: BbDialogRef<boolean>;
    confirmButton: BbButton;
    dialogId: string;
    constructor(config: BbDialogConfig, dialogRef: BbDialogRef<boolean>);
    ngAfterViewInit(): void;
    onClose(result: boolean): void;
}
